$(function(){
    "use strict";

    // Scroll menu
    $('.scroll').on('click', function(e) {
        var Ancla = $(this).attr('href');
        if(Ancla.charAt(0) !== "#") {
            return;
        }
        e.preventDefault();

        if ($('html').hasClass('sticky-header-active')) {
            $('body,html').stop(true, true).animate({
                scrollTop: $(Ancla).offset().top - 50
            }, 1000);
        } else {
            $('body,html').stop(true, true).animate({
                scrollTop: $(Ancla).offset().top - 55
            }, 1000);
        }
    });
    // 

    // Form Ajax


    $('.btn-enviar').on('click', function(){
        $.ajax({
            type: "POST",
            data: $(this).closest("form").serialize(),
            url: "process.php",
            success: function (mje) {
                if (mje == 0){
                    $('.mensajes-form').html("<span style='color:#fff; font-size: 18px; text-align: center; margin-top:28px; padding-bottom:28px; font-weight:600'>Su mensaje ha sido enviado, en breve lo contactaremos.");
                    $('.contact-form').trigger("reset");
                    setTimeout(function(){
                        $('.mensajes-form').html("");
                    },3000);
                }else if(mje == 1){
                    $('.mensajes-form').html("<span style='color:red; margin: 15px 0; padding-bottom:28px;'>*Todos los campos son requeridos</span>");
                    setTimeout(function(){
                        $('.mensajes-form').html("");
                    },2000);
                }else if(mje == 2){
                    $('.mensajes-form').html("<span style='color:red; margin: 15px 0; padding-bottom:28px;'>Por favor ingrese una dirección de correo valida</span>");
                    setTimeout(function(){
                        $('.mensajes-form').html("");
                    },2000);
                }
            },
        });
    });
    // End

    $('.btn-enviar2').on('click', function(){
        $.ajax({
            type: "POST",
            data: $(this).closest("form").serialize(),
            url: "process2.php",
            success: function (mje) {
                if (mje == 0){
                    $('.mensajes-form').html("<span style='color:#fff; font-size: 18px; text-align: center; margin-top:28px; padding-bottom:28px; font-weight:600'>Su mensaje ha sido enviado, en breve lo contactaremos.");
                    $('.contact-form').trigger("reset");
                    setTimeout(function(){
                        $('.mensajes-form').html("");
                    },3000);
                }else if(mje == 1){
                    $('.mensajes-form').html("<span style='color:red; margin: 15px 0; padding-bottom:28px;'>*Todos los campos son requeridos</span>");
                    setTimeout(function(){
                        $('.mensajes-form').html("");
                    },2000);
                }else if(mje == 2){
                    $('.mensajes-form').html("<span style='color:red; margin: 15px 0; padding-bottom:28px;'>Por favor ingrese una dirección de correo valida</span>");
                    setTimeout(function(){
                        $('.mensajes-form').html("");
                    },2000);
                }
            },
        });
    });
    // End

    // Hidden menu click
    var menuMobile = $(window).width();
    if(menuMobile < 800){
        $('.nav-pills li a').on('click', function(){
            $('.header-btn-collapse-nav').click();
        });
    }

    
    // 
});